package com.engage.zapier.converter;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

@Converter
public class BooleanConverterForChar implements AttributeConverter<Boolean, Character> {

	@Override
	public Character convertToDatabaseColumn(Boolean value) {

		return (value != null && value) ? 'Y' : 'N';
	}

	@Override
	public Boolean convertToEntityAttribute(Character value) {

		return 'Y' == value;
	}
}
