package com.engage.zapier.exception;

public class ZapierServiceException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7082093591027355500L;
	private Integer statusCode;
	private String message;

	public ZapierServiceException(Integer statusCode, String message) {
		super();
		this.statusCode = statusCode;
		this.message = message;
	}

	/**
	 * @return the statusCode
	 */
	public Integer getStatusCode() {
		return statusCode;
	}

	/**
	 * @param statusCode the statusCode to set
	 */
	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

}
