package com.engage.zapier.repository.common;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.ProductEntity;

@Repository
public interface ProductRepository extends CrudRepository<ProductEntity, Long> {

	ProductEntity findByProductIdAndIsDeletedAndActive(Long productId, Boolean isDeleted, String active);

}