package com.engage.zapier.repository.common;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.SubscriberOrganizationEntity;

@Repository
public interface SubscriberOrganizationRepository extends CrudRepository<SubscriberOrganizationEntity, Long> {
	
	SubscriberOrganizationEntity findByOrganizationIdAndIsDeleted(Long organizationId, Boolean isDeleted);

}