package com.engage.zapier.repository.common;

import java.util.List;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.SubscriberOrganizationEntity;
import com.engage.zapier.entity.common.UserMappingsEntity;


@Repository
public interface UserMappingsRepository extends CrudRepository<UserMappingsEntity, Long> {
	List<UserMappingsEntity>findBySubscriberOrganizationByOrganizationIdAndUserMappingIdIn(SubscriberOrganizationEntity organizationEntity,List<Long> userMappingList);
}
