package com.engage.zapier.repository.master;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.master.OauthTokenDetailsEntity;

@Repository
public interface OauthTokenDetailsRepository extends CrudRepository<OauthTokenDetailsEntity, Integer> {
	OauthTokenDetailsEntity findByAccessTokenAndIsDeleted(String accessToken, String isDeleted);
	OauthTokenDetailsEntity findByAccessTokenAndDsmIdAndIsDeleted(String accessToken, String dsmId, String isDeleted);
}
