package com.engage.zapier.request;

import java.util.Map;
import java.util.TreeMap;

public class LeadRequest {
	
	private long leadID;
	private String firstName;
	private String lastName;
	private String email;
	private String phone;
	private String companyName;
	private String status;
	private String source;
	private String description;
	private String organizationId;
	private String ownerId;
	private String campaignId;
	private String webUrl;
	private String utmSource;
	private String utmMedium;
	private String utmCampaign;
	private String utmCampaignId;
	private String utmTerm;
	private String utmContent;
	private String city;
	private String street;
	private String zipCode;
	private String country;
	private String state;
	private String longitude;
	private String latitude;
	private String fax;
	private String mobile;
	private String department;
	private String role;
	private String numOfEmployees;
	private String numOfLocations;
	private String annualRevenues;
	private String rating;
	private String industry;
	private String gender;
	private String maritalStatus;
	private String leadType;
	private String title;
	private Long productId = 0L;
	private String website;
	private String skypeUrl;
	private String twitterId;
	private String linkedinId;
	private String facebookId;
	private String googlePlusID;
	private String dateOfBirth;
	private String sicCode;
	private String naicsCode;
	private String reason;

	private Map<String,Object> fields=new TreeMap<String,Object>(String.CASE_INSENSITIVE_ORDER);
	
	public String getFirstName() {
		return firstName;
	}
	
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	
	public String getLastName() {
		return lastName;
	}
	
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	
	public String getEmail() {
		return email;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public String getPhone() {
		return phone;
	}
	
	public void setPhone(String phone) {
		this.phone = phone;
	}
	
	public String getCompanyName() {
		return companyName;
	}
	
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
	public String getStatus() {
		return status;
	}
	
	public void setStatus(String status) {
		this.status = status;
	}
	
	public String getSource() {
		return source;
	}
	
	public void setSource(String source) {
		this.source = source;
	}
	
	public String getDescription() {
		return description;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getOrganizationId() {
		return organizationId;
	}
	
	public void setOrganizationId(String organizationId) {
		this.organizationId = organizationId;
	}
	
	public String getOwnerId() {
		return ownerId;
	}
	
	public void setOwnerId(String ownerId) {
		this.ownerId = ownerId;
	}
	
	public String getCampaignId() {
		return campaignId;
	}
	
	public void setCampaignId(String campaignId) {
		this.campaignId = campaignId;
	}
	
	public String getWebUrl() {
		return webUrl;
	}
	
	public void setWebUrl(String webUrl) {
		this.webUrl = webUrl;
	}
	
	public String getUtmSource() {
		return utmSource;
	}
	
	public void setUtmSource(String utmSource) {
		this.utmSource = utmSource;
	}
	
	public String getUtmMedium() {
		return utmMedium;
	}
	
	public void setUtmMedium(String utmMedium) {
		this.utmMedium = utmMedium;
	}
	
	public String getUtmCampaign() {
		return utmCampaign;
	}
	
	public void setUtmCampaign(String utmCampaign) {
		this.utmCampaign = utmCampaign;
	}
	
	public String getUtmCampaignId() {
		return utmCampaignId;
	}
	
	public void setUtmCampaignId(String utmCampaignId) {
		this.utmCampaignId = utmCampaignId;
	}
	
	public String getUtmTerm() {
		return utmTerm;
	}
	
	public void setUtmTerm(String utmTerm) {
		this.utmTerm = utmTerm;
	}
	
	public String getUtmContent() {
		return utmContent;
	}
	
	public void setUtmContent(String utmContent) {
		this.utmContent = utmContent;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getStreet() {
		return street;
	}

	public void setStreet(String street) {
		this.street = street;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getFax() {
		return fax;
	}

	public void setFax(String fax) {
		this.fax = fax;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getNumOfEmployees() {
		return numOfEmployees;
	}

	public void setNumOfEmployees(String numOfEmployees) {
		this.numOfEmployees = numOfEmployees;
	}

	public String getNumOfLocations() {
		return numOfLocations;
	}

	public void setNumOfLocations(String numOfLocations) {
		this.numOfLocations = numOfLocations;
	}

	public String getAnnualRevenues() {
		return annualRevenues;
	}

	public void setAnnualRevenues(String annualRevenues) {
		this.annualRevenues = annualRevenues;
	}

	public String getRating() {
		return rating;
	}

	public void setRating(String rating) {
		this.rating = rating;
	}

	public String getIndustry() {
		return industry;
	}

	public void setIndustry(String industry) {
		this.industry = industry;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getMaritalStatus() {
		return maritalStatus;
	}

	public void setMaritalStatus(String maritalStatus) {
		this.maritalStatus = maritalStatus;
	}

	public String getLeadType() {
		return leadType;
	}

	public void setLeadType(String leadType) {
		this.leadType = leadType;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Long getProductId() {
		return productId;
	}

	public void setProductId(Long productId) {
		this.productId = productId;
	}

	public long getLeadID() {
		return leadID;
	}

	public void setLeadID(long leadID) {
		this.leadID = leadID;
	}

	public Map<String, Object> getFields() {
		return fields;
	}

	public void setFields(Map<String, Object> fields) {
		this.fields = fields;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public String getSkypeUrl() {
		return skypeUrl;
	}

	public void setSkypeUrl(String skypeUrl) {
		this.skypeUrl = skypeUrl;
	}

	public String getTwitterId() {
		return twitterId;
	}

	public void setTwitterId(String twitterId) {
		this.twitterId = twitterId;
	}

	public String getLinkedinId() {
		return linkedinId;
	}

	public void setLinkedinId(String linkedinId) {
		this.linkedinId = linkedinId;
	}

	public String getFacebookId() {
		return facebookId;
	}

	public void setFacebookId(String facebookId) {
		this.facebookId = facebookId;
	}

	public String getGooglePlusID() {
		return googlePlusID;
	}

	public void setGooglePlusID(String googlePlusID) {
		this.googlePlusID = googlePlusID;
	}

	public String getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(String dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public String getSicCode() {
		return sicCode;
	}

	public void setSicCode(String sicCode) {
		this.sicCode = sicCode;
	}

	public String getNaicsCode() {
		return naicsCode;
	}

	public void setNaicsCode(String naicsCode) {
		this.naicsCode = naicsCode;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

}