package com.engage.zapier.service;

import com.engage.zapier.entity.common.UserEntity;
import com.engage.zapier.request.WebhookRequest;
import com.engage.zapier.response.ServiceResponse;

public interface ZapierService {
	
	<T> ServiceResponse<T>  getUserInfo(UserEntity userEntity);
	<T> ServiceResponse<T>  getLeadFields(UserEntity userEntity);
	<T> ServiceResponse<T>  getLeadList(UserEntity userEntity);
	<T> ServiceResponse<T>  subscribeWebHook(WebhookRequest webhookRequest,UserEntity userEntity,String dsmId);
	<T> ServiceResponse<T>  unsubscribeWebHook(Long id,UserEntity userEntity,String dsmId);

}
