package com.engage.zapier.exception;

public class IllegalArgumentException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4339696059997216103L;
	private Integer statusCode;
	private String message;

	public Integer getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public IllegalArgumentException(Integer statusCode, String message) {
		super();
		this.statusCode = statusCode;
		this.message = message;
	}

}
