package com.engage.zapier.repository.common;

import java.util.Optional;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.CountryEntity;


@Repository
public interface CountryRepository extends CrudRepository<CountryEntity, Long> {
	
	Optional<CountryEntity> findByCountryName(String country);
	
}