package com.engage.zapier.repository.common;

import java.util.Optional;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.CountryEntity;
import com.engage.zapier.entity.common.StateEntity;


@Repository
public interface StateRepository extends CrudRepository<StateEntity, Long> {
	
	Optional<StateEntity> findByCountryByCountryIdAndStateName(CountryEntity countryEntity, String stateName);
	
}