package com.engage.zapier.repository.master;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.master.UserMasterEntity;


@Repository
public interface UserMasterRepository extends CrudRepository<UserMasterEntity, Integer> {
	UserMasterEntity findByUserIdAndOrganizationIdAndIsDeleted(Long userId, Long organizationId, String isDeleted);
}