package com.engage.zapier.response;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class CrmFieldResponse implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Long id;
	private String fieldName;
	private String formFieldName;
	private String fieldType;
	private List<PicklistResponse> pickListValues;
	private String fieldLength;
	private Integer sortOrder;
	private Boolean isMandatory;
	private String defaultValue;
	private Boolean isCustom;
	private String section;
	private Long sectionId;
	
	
	
	

	/**
	 * @return the section
	 */
	public String getSection() {
		return section;
	}

	/**
	 * @param section the section to set
	 */
	public void setSection(String section) {
		this.section = section;
	}

	/**
	 * @return the sectionId
	 */
	public Long getSectionId() {
		return sectionId;
	}

	/**
	 * @param sectionId the sectionId to set
	 */
	public void setSectionId(Long sectionId) {
		this.sectionId = sectionId;
	}

	/**
	 * @return the isCustom
	 */
	public Boolean getIsCustom() {
		return isCustom;
	}

	/**
	 * @param isCustom the isCustom to set
	 */
	public void setIsCustom(Boolean isCustom) {
		this.isCustom = isCustom;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the fieldName
	 */
	public String getFieldName() {
		return fieldName;
	}

	/**
	 * @param fieldName the fieldName to set
	 */
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	/**
	 * @return the formFieldName
	 */
	public String getFormFieldName() {
		return formFieldName;
	}

	/**
	 * @param formFieldName the formFieldName to set
	 */
	public void setFormFieldName(String formFieldName) {
		this.formFieldName = formFieldName;
	}

	/**
	 * @return the fieldType
	 */
	public String getFieldType() {
		return fieldType;
	}

	/**
	 * @param fieldType the fieldType to set
	 */
	public void setFieldType(String fieldType) {
		this.fieldType = fieldType;
	}

	/**
	 * @return the pickListValues
	 */
	public List<PicklistResponse> getPickListValues() {
		return pickListValues;
	}

	/**
	 * @param pickListValues the pickListValues to set
	 */
	public void setPickListValues(List<PicklistResponse> pickListValues) {
		this.pickListValues = pickListValues;
	}

	/**
	 * @return the fieldLength
	 */
	public String getFieldLength() {
		return fieldLength;
	}

	/**
	 * @param fieldLength the fieldLength to set
	 */
	public void setFieldLength(String fieldLength) {
		this.fieldLength = fieldLength;
	}

	/**
	 * @return the sortOrder
	 */
	public Integer getSortOrder() {
		return sortOrder;
	}

	/**
	 * @param sortOrder the sortOrder to set
	 */
	public void setSortOrder(Integer sortOrder) {
		this.sortOrder = sortOrder;
	}

	/**
	 * @return the isMandatory
	 */
	public Boolean getIsMandatory() {
		return isMandatory;
	}

	/**
	 * @param isMandatory the isMandatory to set
	 */
	public void setIsMandatory(Boolean isMandatory) {
		this.isMandatory = isMandatory;
	}

	/**
	 * @return the defaultValue
	 */
	public String getDefaultValue() {
		return defaultValue;
	}

	/**
	 * @param defaultValue the defaultValue to set
	 */
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	@Override
	public String toString() {
		return "CrmFieldResponse [id=" + id + ", fieldName=" + fieldName + ", formFieldName=" + formFieldName
				+ ", fieldType=" + fieldType + ", pickListValues=" + pickListValues + ", fieldLength=" + fieldLength
				+ ", sortOrder=" + sortOrder + ", isMandatory=" + isMandatory + ", defaultValue=" + defaultValue
				+ ", isCustom=" + isCustom + ", section=" + section + ", sectionId=" + sectionId + "]";
	}



}
