package com.engage.zapier.response;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 
 * @author sajidshaikh
 *
 */

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ZapierWebhookResponse implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -4849819019962334906L;
	private Long id;
	private String url;
	private String event;

	public ZapierWebhookResponse(Long id, String url, String event) {
		super();
		this.id = id;
		this.url = url;
		this.event = event;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the url
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url the url to set
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return the event
	 */
	public String getEvent() {
		return event;
	}

	/**
	 * @param event the event to set
	 */
	public void setEvent(String event) {
		this.event = event;
	}

}
