package com.engage.zapier.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.engage.zapier.entity.master.DataSourceMappingEntity;
import com.engage.zapier.repository.master.DataSourceMappingRepository;
import com.engage.zapier.service.DataSourceMappingService;

@Service
public class DataSourceMappingServiceImpl implements DataSourceMappingService {
	@Autowired
    DataSourceMappingRepository dataSourceMappingRepository;

    @Override
    public DataSourceMappingEntity getDataSourceMappingById(Long dataSourceMappingId) {
        return dataSourceMappingRepository.findById(dataSourceMappingId).orElseThrow(() -> new RuntimeException("dsmId/Tenant not found"));
    }
}